#
# Copyright (c) 2009 Nokia Corporation and/or its subsidiary(-ies).
# All rights reserved.
# This component and the accompanying materials are made available
# under the terms of "Eclipse Public License v1.0"
# which accompanies this distribution, and is available
# at the URL "http://www.eclipse.org/legal/epl-v10.html".
#
# Initial Contributors:
# Nokia Corporation - initial contribution.
#
# Contributors:
#
# Description: 
#

INCLUDEPATH +=  ./inc \
                ../mocks/inc \                

SOURCES +=  ./src/unittest_activityclient.cpp \
            ./src/unittest_main.cpp \
            
HEADERS +=  ./inc/unittest_activityclient.h \

SOURCES +=  ../../src/afclient.cpp \
            ../../src/aflauncher.cpp \
            ../../src/afactivitystorage.cpp \
            ../../src/afactivitystorage_p.cpp \
            ../../src/afactivation.cpp \
            ../../src/afactivation_p.cpp \
            ../../src/afcommandlineparser.cpp \
            ../mocks/src/applicationlauncher_p.cpp \
            ../mocks/src/afstorageproxy.cpp \
            
HEADERS +=  ../../inc/afclient.h \
            ../../inc/aflauncher.h \
            ../../../../homescreensrv_plat/activity_framework_api/afactivities_global.h \
            ../../../../homescreensrv_plat/activity_framework_api/afactivitystorage.h \
            ../../inc/afactivitystorage_p.h \
            ../../../../homescreensrv_plat/activity_framework_api/afactivation.h \
            ../../inc/afactivation_p.h \
            ../../inc/afcommandlineparser.h \
            ../mocks/inc/applicationlauncher_p.h \
            ../mocks/inc/afstorageproxy.h \

include(../tsrc_common.pri)

DEFINES += ACTIVITY_LIB

symbian {
    CONFIG += symbian_test
    coverage: CONFIG -= symbian_test
    LIBS += -lthumbnailmanagerqt
}
