# Copyright (c) 2010 Nokia Corporation and/or its subsidiary(-ies).
# All rights reserved.
# This component and the accompanying materials are made available
# under the terms of "Eclipse Public License v1.0"
# which accompanies this distribution, and is available
# at the URL "http://www.eclipse.org/legal/epl-v10.html".
# Initial Contributors:
# Nokia Corporation - initial contribution.
# Contributors:
# Description:


TEMPLATE = app
DEFINES += CACLIENT_TEST
include(../../../../common.pri)

CONFIG += hb
CONFIG(debug, debug|release) {
    DESTDIR = debug
} else {
    DESTDIR = release
}

CONFIG += debug_and_release \
    console
QT += testlib
    

coverage:DEFINES += COVERAGE_MEASUREMENT

DEPENDPATH += . \
    ./inc \
    ./src \
    ../../inc \
    ../../src \
    ../../../../homescreensrv_plat/contentstorage_api
    
INCLUDEPATH += ./inc \
    ../../inc \
    ../../../../homescreensrv_plat/contentstorage_api \
    ../../../cautils/inc \
    $$MW_LAYER_SYSTEMINCLUDE

include(t_casoftwareregistry.pri)
        
symbian: { 
    ### get rid of localization warnings
    CONFIG -= hb
    load(hb.prf)
    CONFIG -= symbian_i18n
    ###
    CONFIG += symbian_test
    coverage: CONFIG -= symbian_test
    
    TARGET.UID2 = 0x10009D8D
    TARGET.UID3 = 0x2002DCF6
    TARGET.CAPABILITY = ALL \
        -TCB
    TARGET.EPOCSTACKSIZE = 0x14000 \
        // \
        80kB
    TARGET.EPOCHEAPSIZE = 0x20000 \
        0x1000000 \
        // \
        128kB \
        - \
        16MB
    
    LIBS += \
        -leuser \
        -lscrclient \
        -lbafl \
        -lestor \
        -lefsrv \
        -lxqutils \
        -lPlatformEnv \
        -lsifnotification \
        -lsif
        
    BLD_INF_RULES.prj_testexports += "./data/MIDPTestIcons.jad c:/testing/data/t_casoftwareregistry/installs/" \
     "./data/MIDPTestIcons.jar c:/testing/data/t_casoftwareregistry/installs/"

    BLD_INF_RULES.prj_exports += "./data/MIDPTestIcons.jad c:/testing/data/t_casoftwareregistry/installs/" \
     "./data/MIDPTestIcons.jar c:/testing/data/t_casoftwareregistry/installs/"
     
    exportArmSis.sources += ./data/MIDPTestIcons.jad \
        ./data/MIDPTestIcons.jar
	exportArmSis.path = c:/testing/data/t_casoftwareregistry/installs
	DEPLOYMENT += exportArmSis	

        
include (t_casoftwareregistry_s60.pri)
}

win32: {
include (t_casoftwareregistry_stub.pri)
}


