# Copyright (c) 2009 Nokia Corporation and/or its subsidiary(-ies).
# All rights reserved.
# This component and the accompanying materials are made available
# under the terms of "Eclipse Public License v1.0"
# which accompanies this distribution, and is available
# at the URL "http://www.eclipse.org/legal/epl-v10.html".
# Initial Contributors:
# Nokia Corporation - initial contribution.
# Contributors:
# Description:


TEMPLATE = app

include(../../../../common.pri)

CONFIG(debug, debug|release) {
    DESTDIR = debug
} else {
    DESTDIR = release
}

CONFIG += debug_and_release \
    console
QT += testlib
	
coverage:DEFINES += COVERAGE_MEASUREMENT

DEPENDPATH += . \
    ./inc \
    ./src
	
INCLUDEPATH += . \
    ./inc \
    ../../inc \
	../../../../contentstorage/inc \
    $$MW_LAYER_SYSTEMINCLUDE

include(t_menu_sat_interface_api.pri)
		
symbian: { 

    CONFIG += symbian_test
    coverage: CONFIG -= symbian_test

    TARGET.UID2 = 0x10009D8D
    TARGET.UID3 = 0x20028713
    TARGET.CAPABILITY = ALL \
        -TCB
    TARGET.EPOCSTACKSIZE = 0x14000 \
        // \
        80kB
    TARGET.EPOCHEAPSIZE = 0x20000 \
        0x1000000 \
        // \
        128kB \
        - \
        16MB
	
	LIBS += \
		-leuser \
		-lMenuInterface		
}


		

