#
# Copyright (c) 2009 Nokia Corporation and/or its subsidiary(-ies).
# All rights reserved.
# This component and the accompanying materials are made available
# under the terms of "Eclipse Public License v1.0"
# which accompanies this distribution, and is available
# at the URL "http://www.eclipse.org/legal/epl-v10.html".
#
# Initial Contributors:
# Nokia Corporation - initial contribution.
#
# Contributors:
#
# Description:
#

TEMPLATE = lib
CONFIG(debug, debug|release) {
    LIBS += -L../../../../bin/debug -lhswidgetmodel
    DESTDIR = debug
}
else {
    LIBS += -L../../../../bin/release -lhswidgetmodel
    DESTDIR = release
}

CONFIG += debug_and_release plugin

CONFIG += hb

DEPENDPATH += ./inc \
              ./src
INCLUDEPATH += ./inc \
               ../../inc \
               ../../../homescreensrv_plat/hswidgetmodel_api \
               ../t_hswidgetmodelexe/inc \
               ../../../../misc


symbian: {

CONFIG += symbian_test

TARGET.UID3 = 0x20022F53
TARGET.EPOCALLOWDLLDATA=1
TARGET.CAPABILITY = ALL -TCB

export.sources = resource/*.manifest
export.path = /hsresources/testresources/plugins/widgetproviders
pluginstub.sources = testwidgetprovider.dll
pluginstub.path = /hsresources/testresources/plugins/widgetproviders
DEPLOYMENT += export pluginstub
}

include(testwidgetprovider.pri)

win32:include(testwidgetprovider_installs_win32.pri)
