/*
* Copyright (c) 2009 Nokia Corporation and/or its subsidiary(-ies).
* All rights reserved.
* This component and the accompanying materials are made available
* under the terms of "Eclipse Public License v1.0"
* which accompanies this distribution, and is available
* at the URL "http://www.eclipse.org/legal/epl-v10.html".
*
* Initial Contributors:
* Nokia Corporation - initial contribution.
*
* Contributors:
*
* Description:
*
*/
#ifndef DATAOBSERVERTASK_H
#define DATAOBSERVERTASK_H
#include "tsdataobserver.h"
#include <e32base.h>
class CHsDataObserverTask: public CTsDataObserver
{
public:
    ~CHsDataObserverTask();
    static void ExecuteLD(MTsDataObserverStorage& storage,const RMessage2& msg);

private:
    CHsDataObserverTask(MTsDataObserverStorage& storage, const RMessage2& msg);
    void DataChanged();
    void Cancel(const RMessage2& reason);
    TBool IsParent(const CSession2*session);

private:
    MTsDataObserverStorage& mStorage;
    const RMessage2 mMsg;
    TBool mDataChanged;
};
#endif //DATAOBSERVERTASK_H
