/*
* Copyright (c) 2009 Nokia Corporation and/or its subsidiary(-ies).
* All rights reserved.
* This component and the accompanying materials are made available
* under the terms of "Eclipse Public License v1.0"
* which accompanies this distribution, and is available
* at the URL "http://www.eclipse.org/legal/epl-v10.html".
*
* Initial Contributors:
* Nokia Corporation - initial contribution.
*
* Contributors:
*
* Description:
*
*/
#ifndef TSMODELITEMKEY_H
#define TSMODELITEMKEY_H

#include <e32base.h>
#include <s32strm.h>

typedef TInt TTsKey;

class TTsModelItemKey
{
public:
    static TInt size();
    TTsModelItemKey();
    TTsModelItemKey(TTsKey key, TInt root);
    TTsModelItemKey(const TTsModelItemKey &key);
    TTsModelItemKey& operator =(const TTsModelItemKey& key);
    TBool operator == (const TTsModelItemKey key) const;
    TInt key() const;
    void ExternalizeL(RWriteStream& stream) const;
    void InternalizeL(RReadStream& stream);

private:
    TTsKey mKey;
    TInt mRoot;
};

#endif //TSMODELITEMKEY_H
