/*
* Copyright (c) 2009 Nokia Corporation and/or its subsidiary(-ies).
* All rights reserved.
* This component and the accompanying materials are made available
* under the terms of "Eclipse Public License v1.0"
* which accompanies this distribution, and is available
* at the URL "http://www.eclipse.org/legal/epl-v10.html".
*
* Initial Contributors:
* Nokia Corporation - initial contribution.
*
* Contributors:
*
* Description:
*
*/
#ifndef T_TSSERVICESPROVIDER_H
#define T_TSSERVICESPROVIDER_H

#include <QObject>
#include <QEventLoop>
#include <tsmodelobserver.h>
#include "tsdataobserver.h"
class CTsServiceProviderConfig;
class T_TsServiceProvider : public QObject,
                            public MTsModelObserver,
                            public MTsDataObserver
{
    Q_OBJECT
public:
    void dataChanged(MTsModel &model);
    void dataChanged(const TTsModelItem &item);
    void DataChanged();

private slots:
    void testProvider();
    void testService();
    void testServiceObserver();

signals:
    void someSignal();
private:
    int mNotyfications;
    QEventLoop mLoop;
};
#endif //T_TSSERVICESPROVIDER_H
