#
# Copyright (c) 2009 Nokia Corporation and/or its subsidiary(-ies).
# All rights reserved.
# This component and the accompanying materials are made available
# under the terms of "Eclipse Public License v1.0"
# which accompanies this distribution, and is available
# at the URL "http://www.eclipse.org/legal/epl-v10.html".
#
# Initial Contributors:
# Nokia Corporation - initial contribution.
#
# Contributors:
#
# Description:
#

TEMPLATE = subdirs

tests: {
  CONFIG += tests_applib
  CONFIG += tests_ts
}

tests_applib: {
SUBDIRS +=  \
            ./../contentstorage/castorage/tsrc/t_castorage \
            ./../contentstorage/casoftwareregistry/tsrc/t_casoftwareregistry \
            ./../contentstorage/casrv/caappscanner/tsrc/t_caappscanner \
            ./../contentstorage/casrv/causifscanner/tsrc/t_causifscanner \
            ./../contentstorage/casrv/calocalizerscanner/tsrc/t_calocalizerscanner \
            ./../contentstorage/casrv/carunningappmonitor/tsrc/t_carunningappmonitor \
            ./../contentstorage/casrv/casatmonitor/tsrc/t_satmonitor \
            ./../contentstorage/casrv/cawidgetscanner/tsrc/t_cawidgetscanner \
            ./../contentstorage/tsrc/t_casrv \
            ./../contentstorage/tsrc/t_sathandler \
            ./../contentstorage/caclient/tsrc/t_caclient \
            ./../homescreensrv_plat/menu_sat_interface_api/tsrc/t_menu_sat_interface_api \
            ./../contentstorage/cahandler/app/tsrc/t_caapphandler \
            ./../contentstorage/cahandler/url/tsrc/t_caurlhandler \
            ./../contentstorage/cahandler/tapp/tsrc/t_catapphandler \
            ./../contentstorage/camificonengine/tsrc/t_camificonengine \
			 
}

tests_ts: {
SUBDIRS +=  ./../internal/tstestutils \ #common test utilities
            ./../activityfw/activityserviceplugin/tsrc/unittest_activityserviceplugin \
            ./../activityfw/activityserviceplugin/tsrc/unittest_activityclient \
            ./../activityfw/activityserviceplugin/tsrc/unittest_activitymanager \
            ./../activityfw/activityserviceplugin/tsrc/unittest_applicationluncher \
            ./../activityfw/activityserviceplugin/tsrc/unittest_commandlineparser \
            ./../activityfw/activityserviceplugin/tsrc/t_afstorageproxy \
            ./../activityfw/activityserviceplugin/tsrc/t_afactivation \
            ./../activityfw/activityserviceplugin/tsrc/t_afactivitystorage \
            ./../activityfw/afactivitylauncher/tsrc/t_afactivitylauncher \
            ./../activityfw/afactivitylauncher/tsrc/t_tapplicationlauncher \
            ./../activityfw/storage/client/t_afstorageclient \
            ./../activityfw/storage/server/tsrc/t_server \            
            ./../hsappkeyhandler/tsrc/t_hsappkeyhandler \
            ./../activityfw/tsutils/tsrc/t_tsgraphicfilescalinghandler \
            ./../taskswitcher/client/tsrc/t_tstasksettings \
            ./../taskswitcher/client/tsrc/t_tstaskmonitorclient \
            ./../taskswitcher/server/tsrc/t_tsmodelitem \
            ./../taskswitcher/server/tsrc/t_tsstorage \
            ./../taskswitcher/server/tsrc/t_tsserializeddataprovider \
            ./../taskswitcher/server/tsrc/t_tsservicesprovider \
            ./../taskswitcher/server/tsrc/t_tsservicesproviderconfig \
            ./../taskswitcher/screenshotplugin/tsrc/t_screenshotplugin \
            ./../taskswitcher/utils/tsrc/t_tsentrykeyhandling \
            ./../taskswitcher/backstepping/tsrc/t_tsbackstepping \
            ./../internal/tsapps/testapp/appwithouticon \ #helper app for unittest_applicationluncher, t_tsrunningappstorage, t_tsbackstepping, t_tstaskmonitorclient
            ./../internal/tsapps/testapp/appwithicon \ #helper app for t_tsrunningappstorage, t_tsbackstepping
            ./../internal/tsapps/testapp/apppublishingactivity \ #helper app for unittest_applicationluncher
            ./../tsdevicedialog/tsdevicedialogplugin/tsrc/t_tsdevicedialogplugin \
            ./../tsdevicedialog/tsdevicedialogplugin/tsrc/t_tsdocumentloader \
            ./../tsdevicedialog/tsdevicedialogplugin/tsrc/t_tsmodel \
            ./../tsdevicedialog/tsdevicedialogplugin/tsrc/t_tstaskgriditem \

}
CONFIG  += ordered
