//Copyright (c) 2010 Nokia Corporation and/or its subsidiary(-ies).
//All rights reserved.
//This component and the accompanying materials are made available
//under the terms of "Eclipse Public License v1.0"
//which accompanies this distribution, and is available
//at the URL "http://www.eclipse.org/legal/epl-v10.html".

//Initial Contributors:
//Nokia Corporation - initial contribution.

//Contributors:

//Description:

/////////////////////////////////////////////////////////////////////

#ifndef T_SERVER_H
#define T_SERVER_H
#include <qobject.h>
#include <qeventloop.h>
#include "afapplicationsobserver.h"
class T_Server: public QObject,
                public MAfApplicationsObserver
{
Q_OBJECT
private slots:
    void testStorage();
    void testMonitor();
    void testCollection();
    void testEngine();

private:
    void applicationsChanged();

private:
    QEventLoop mLoop;
    bool mAppChanged;
};

#endif //T_SERVER_H
