/*
* Copyright (c) 2009 Nokia Corporation and/or its subsidiary(-ies).
* All rights reserved.
* This component and the accompanying materials are made available
* under the terms of "Eclipse Public License v1.0"
* which accompanies this distribution, and is available
* at the URL "http://www.eclipse.org/legal/epl-v10.html".
*
* Initial Contributors:
* Nokia Corporation - initial contribution.
*
* Contributors:
*
* Description:
*
*/
#ifndef ACTIVITYDEBUGERCONSOLE_H
#define ACTIVITYDEBUGERCONSOLE_H


#include <hbtextedit>



class ActivityDebugerConsole: public HbTextEdit
{

    Q_OBJECT

public:
    ActivityDebugerConsole(QGraphicsItem *parent = 0);
    ~ActivityDebugerConsole();
    void appendText(const QString& text);
       

public slots:    
    void clear();
    void scrollToBotton();
    
private:
    void mousePressEvent(QGraphicsSceneMouseEvent *event);
    void focusInEvent(QFocusEvent *event);

};

#endif //ACTIVITYDEBUGERCONSOLE_H
