/*
* Copyright (c) 2009 Nokia Corporation and/or its subsidiary(-ies).
* All rights reserved.
* This component and the accompanying materials are made available
* under the terms of "Eclipse Public License v1.0"
* which accompanies this distribution, and is available
* at the URL "http://www.eclipse.org/legal/epl-v10.html".
*
* Initial Contributors:
* Nokia Corporation - initial contribution.
*
* Contributors:
*
* Description:
*
*/
#ifndef ANIMALWIDGET_H
#define ANIMALWIDGET_H

#include <QWidget>

class QLabel;
class QString;

class AnimalWidget: public QWidget
{

    Q_OBJECT

public:
    AnimalWidget(QWidget *parent = 0);
    ~AnimalWidget();

private slots:
    void changeAnimalImage(const QString &image);
    void saveActivity();
    void loadActivity(const QString &name);

private:
    QLabel *mAnimalLabel;
    QLabel *mFileNameLabel;
    QString mCurrentImage;
    QObject *mActivityClient;
};

#endif //ANIMALWIDGET_H
