/*
* Copyright (c) 2009 Nokia Corporation and/or its subsidiary(-ies).
* All rights reserved.
* This component and the accompanying materials are made available
* under the terms of "Eclipse Public License v1.0"
* which accompanies this distribution, and is available
* at the URL "http://www.eclipse.org/legal/epl-v10.html".
*
* Initial Contributors:
* Nokia Corporation - initial contribution.
*
* Contributors:
*
* Description:
*
*/
#ifndef ACTIVITYHANDLER_H
#define ACTIVITYHANDLER_H

#include <QObject>

class IconsView;

class ActivityHandler : public QObject
{

    Q_OBJECT

public:
    ActivityHandler(IconsView *iconsView);
    ~ActivityHandler();

public slots:
    void handleSaveRequest(const QString &name);
    void loadActivityData(const QString &name);

private:
    IconsView *mIconsView;
    QObject *mActivityClient;

};

#endif // ACTIVITYHANDLER_H
