/*
* Copyright (c) 2009 Nokia Corporation and/or its subsidiary(-ies).
* All rights reserved.
* This component and the accompanying materials are made available
* under the terms of "Eclipse Public License v1.0"
* which accompanies this distribution, and is available
* at the URL "http://www.eclipse.org/legal/epl-v10.html".
*
* Initial Contributors:
* Nokia Corporation - initial contribution.
*
* Contributors:
*
* Description:
*
*/
#ifndef VIEWMANAGER_H_
#define VIEWMANAGER_H_

#include <hbmainwindow.h>
#include <hbview.h>
#include <QVariant>
#include <afactivities_global.h>

class HbApplication;
class QGraphicsGridLayout;
class HbPushButton;
class letterwidget;

class viewmanager : public HbMainWindow
{
    Q_OBJECT
public:
    viewmanager();
    virtual ~viewmanager();
    void initialize();
    


private slots:

    void save();
    void del();

public slots:
    void loadActivityData(Af::ActivationReason reason, const QString &name, QVariantHash parameter);

public:
    void loadActivityData(const QVariant &data);

private:

    
    QObject *mActivityStorage;
    QObject *mActivaction;
    
    QVariant mSaveVariant;    
    letterwidget *mLw;
};

#endif /* VIEWMANAGER_H_ */
