/*
* Copyright (c) 2009 Nokia Corporation and/or its subsidiary(-ies).
* All rights reserved.
* This component and the accompanying materials are made available
* under the terms of "Eclipse Public License v1.0"
* which accompanies this distribution, and is available
* at the URL "http://www.eclipse.org/legal/epl-v10.html".
*
* Initial Contributors:
* Nokia Corporation - initial contribution.
*
* Contributors:
*
* Description:
*
*/
#ifndef THUMBWIDGET_H_
#define THUMBWIDGET_H_

#include "basewidget.h"

class thumbwidget: public basewidget
{
    Q_OBJECT
public:
    thumbwidget(QObject* activityStorage, QObject* activityManager, QTextStream* stream, QGraphicsItem *parent = 0);
    ~thumbwidget();

private slots:
    void timeout();
    void test();
    void thumbnailReady(QPixmap pixmap, void* ptr);
private:    
    void endTest(int reason);
};

#endif /* THUMBWIDGET_H_*/
