# Copyright (c) 2009 Nokia Corporation and/or its subsidiary(-ies).
# All rights reserved.
# This component and the accompanying materials are made available
# under the terms of "Eclipse Public License v1.0"
# which accompanies this distribution, and is available
# at the URL "http://www.eclipse.org/legal/epl-v10.html".
# Initial Contributors:
# Nokia Corporation - initial contribution.
# Contributors:
# Description:


TEMPLATE = app

CONFIG += hb mobility
MOBILITY = serviceframework
HB = hbcore

include(../../../../../common.pri)
include(../../../../tsrc/testutils/testutils.pri)
CONFIG(debug, debug|release) {
    DESTDIR = debug
} else {
    DESTDIR = release
}

CONFIG += debug_and_release \
    console
QT += testlib
	

coverage:DEFINES += COVERAGE_MEASUREMENT

DEPENDPATH += . \
    ./inc \
    ./src \
    ../../inc \
    ../../src
	
INCLUDEPATH += \
    ./inc \
	../../inc \
	../../../../cautils/inc \
	../../../../castorage/inc \
    ../../../../caclient/inc \
    ../../../../inc \
    $$MW_LAYER_SYSTEMINCLUDE

include(t_caapphandler.pri)
		
symbian: { 

    CONFIG += symbian_test
    coverage: CONFIG -= symbian_test
    ### get rid of localization warnings
    CONFIG -= hb
    load(hb.prf)
    CONFIG -= symbian_i18n
    ###
    TARGET.UID2 = 0x10009D8D
    TARGET.UID3 = 0x20028711
    TARGET.CAPABILITY = ALL \
        -TCB
    TARGET.EPOCSTACKSIZE = 0x14000 \
        // \
        80kB
    TARGET.EPOCHEAPSIZE = 0x20000 \
        0x1000000 \
        // \
        128kB \
        - \
        16MB
	
	LIBS += \
        -leuser \
        -lecom \
        -lcautils \
        -lapgrfx \
        -lws32 \
        -lapparc \
        -lsisregistryclient \
        -lsif \
        -lscrclient \
        -lxqutils \
        -lefsrv \
        -lcone \
        -lcaclient
    
    BLD_INF_RULES.prj_testexports += "./data/winscw/sapiapp_S60_3_X_v_1_0_0.sisx c:/testing/data/t_caapphandler/installs/" \
     "./data/winscw/Hello.jar c:/testing/data/t_caapphandler/installs/"

    BLD_INF_RULES.prj_exports += "./data/winscw/sapiapp_S60_3_X_v_1_0_0.sisx c:/testing/data/t_caapphandler/installs/" \
     "./data/winscw/Hello.jar c:/testing/data/t_caapphandler/installs/"
     
    exportArmSis.sources += ./data/armv5/sapiapp_S60_3_X_v_1_0_0.sisx \
        ./data/winscw/Hello.jar
	exportArmSis.path = c:/testing/data/t_caapphandler/installs
	DEPLOYMENT += exportArmSis	
}


