/*
 * Copyright (c) 2008 Nokia Corporation and/or its subsidiary(-ies).
 * All rights reserved.
 * This component and the accompanying materials are made available
 * under the terms of "Eclipse Public License v1.0"
 * which accompanies this distribution, and is available
 * at the URL "http://www.eclipse.org/legal/epl-v10.html".
 *
 * Initial Contributors:
 * Nokia Corporation - initial contribution.
 *
 * Contributors:
 *
 * Description:  Test class for homescreen::core
 *
 */

#include <QtTest/QtTest>

#include "catapphandler.h"

/**
 * @test Test class for homescreen::hsutils modules.
 */
class CaTappHandlerPluginTest: public QObject
{
Q_OBJECT

private slots:

    void init();
    void cleanup();
    void cleanupTestCase();
    void initTestCase();

    /**
     * CaTappHandler
     */
    void testConstruction();
    void testExecute();
    void tAppHandlerCreateInstance();

private:

    CaTappHandler *mTappHandler;

};

