/*
* Copyright (c) 2007 Nokia Corporation and/or its subsidiary(-ies).
* All rights reserved.
* This component and the accompanying materials are made available
* under the terms of "Eclipse Public License v1.0"
* which accompanies this distribution, and is available
* at the URL "http://www.eclipse.org/legal/epl-v10.html".
*
* Initial Contributors:
* Nokia Corporation - initial contribution.
*
* Contributors:
*
* Description:  
*
*/


#ifndef T_CA_RUNNING_APP_MONITOR_H
#define T_CA_RUNNING_APP_MONITOR_H


class CCaSrvPlugin;
class CTestUtils;
class CCaStorageProxy;
class CCaSrvEngUtils;
#include <e32def.h>
#include <QtTest/QtTest>

class T_CaRunningAppMonitor : public QObject
    {
    Q_OBJECT

private slots:

    //setup methods
    void init();
    void cleanup();
    void initTestCase();
    void cleanupTestCase();
    //tests
    void T_Constuction();
    
    void T_RunL();

private:
    CCaSrvPlugin* iPlugin;
    
    CTestUtils* iTestUtils;
    
    CCaStorageProxy* iStorage;

    CCaSrvEngUtils* iSrvEngUtils;


    };

#endif      //  __T_casrvAppScaner_H__

// End of file
