/*
* Copyright (c) 2009 Nokia Corporation and/or its subsidiary(-ies).
* All rights reserved.
* This component and the accompanying materials are made available
* under the terms of "Eclipse Public License v1.0"
* which accompanies this distribution, and is available
* at the URL "http://www.eclipse.org/legal/epl-v10.html".
*
* Initial Contributors:
* Nokia Corporation - initial contribution.
*
* Contributors:
*
* Description:
*
*/
/*
 * T_casatmonitor.h
 *
 *  Created on: 2009-09-16
 *      Author:
 */

#ifndef T_CASATMONITOR_H
#define T_CASATMONITOR_H

class CTestUtils;
class CCaStorageProxy;
class CCaSrvManager;
#include <QtTest/QtTest>

#include <e32def.h>

//  CLASS DEFINITION
class CSatMonitor;
/**
 *
 * Test class.
 *
 */
class T_CaSatMonitor: public QObject
{
    Q_OBJECT

private:

    void WaitL(TInt aMicroSec);

private slots:

    //setup methods
    void initTestCase();
    void cleanupTestCase();
    void init();
    void cleanup();


    //tests for sat monitor/notifier
    void testSatChange();

private:

    CTestUtils *iTestUtils;

    CCaStorageProxy *iStorage;

    RBuf iSatName;

    TInt iSatVis;

    CCaSrvManager *iSrvManager;
};

#endif // T_CASATHANDLER_H
