/*
* Copyright (c) 2009 Nokia Corporation and/or its subsidiary(-ies).
* All rights reserved.
* This component and the accompanying materials are made available
* under the terms of "Eclipse Public License v1.0"
* which accompanies this distribution, and is available
* at the URL "http://www.eclipse.org/legal/epl-v10.html".
*
* Initial Contributors:
* Nokia Corporation - initial contribution.
*
* Contributors:
*
* Description: 
*
*/
#ifndef CA_SRV_TEST_UTILS_H
#define CA_SRV_TEST_UTILS_H
//utility class for tests
//all utility methods should be implemented here

#include "casrvengutils.h"
#include "casrvplugin.h"

class CCaStorageProxy;
class CCaInnerEntry;
class CCaSrvEngUtils;

class CTestUtils: public CBase
{
public:

    /**/
    virtual ~CTestUtils();

    /**/
    static CTestUtils* NewL();

    /**/
    static CTestUtils* NewLC();

  
    /**
     * Copys test Db
     */
    TInt CopyDb();

    /**
     * Checks if app exists in Db
  private:

    /**
     * Copys files
     */
    TInt Copy( const TDesC& aSource, const TDesC& aDest );

    CTestUtils();

    void ConstructL();

    RFs iFs;
    CFileMan* iFileManager;
    /*
     * own
     */
};

#endif
