/*
* Copyright (c) 2009 Nokia Corporation and/or its subsidiary(-ies).
* All rights reserved.
* This component and the accompanying materials are made available
* under the terms of "Eclipse Public License v1.0"
* which accompanies this distribution, and is available
* at the URL "http://www.eclipse.org/legal/epl-v10.html".
*
* Initial Contributors:
* Nokia Corporation - initial contribution.
*
* Contributors:
*
* Description:
*
*/
#ifndef T_SCREENSHOTPLUGIN_H
#define T_SCREENSHOTPLUGIN_H

#include <QObject>
#include <QLabel>
class MScreenshotObserver
{
public:
    virtual void ScreenshotTaken(int, int, int, int) =0;
};
/**
* @test Test class for Screenshotplugin
*/
class T_Screenshotplugin : public QObject,
                           public MScreenshotObserver 
{
    Q_OBJECT

public:
    T_Screenshotplugin();
    
private slots:
    void testPlugin();

signals:
   void screenshotTaken(int, int, int, int);

private:
    void ScreenshotTaken(int, int, int, int);
    void moveApp(int, bool =false);
    QLabel testUi;

};

#endif //T_SCREENSHOTPLUGIN_H
