/*
* Copyright (c) 2009 Nokia Corporation and/or its subsidiary(-ies).
* All rights reserved.
* This component and the accompanying materials are made available
* under the terms of "Eclipse Public License v1.0"
* which accompanies this distribution, and is available
* at the URL "http://www.eclipse.org/legal/epl-v10.html".
*
* Initial Contributors:
* Nokia Corporation - initial contribution.
*
* Contributors:
*
* Description:
*
*/
#include "tsmodel.h"
class T_TsModel: public MTsModel
{
public:
    static TBool expectedBoolValue();
    static const TDesC& expectedDesCValue();
    static TInt expectedIntValue();
    static TTime expectedTimeValue();
    
    TInt count() const;
    void setObserver(MTsModelObserver *observer);
    
protected:
    const TDesC& displayNameL(TInt offset) const;
    TInt iconHandleL(TInt offset) const;
    TTime timestampL(TInt offset) const;
    TTsModelItemKey keyL(TInt offset) const;
    TBool isActiveL(TInt offset) const;
    TBool isClosableL(TInt offset) const;
    TBool closeL(TTsModelItemKey key) const;
    TBool launchL(TTsModelItemKey key) const;

};
