/*
* Copyright (c) 2009 Nokia Corporation and/or its subsidiary(-ies).
* All rights reserved.
* This component and the accompanying materials are made available
* under the terms of "Eclipse Public License v1.0"
* which accompanies this distribution, and is available
* at the URL "http://www.eclipse.org/legal/epl-v10.html".
*
* Initial Contributors:
* Nokia Corporation - initial contribution.
*
* Contributors:
*
* Description:
*
*/

#ifndef TSTESTMODEL_H
#define TSTESTMODEL_H

#include <QObject>
#include <QVariantHash>

class TsTestModel : public QObject
{
    Q_OBJECT
public:
    TsTestModel();
public slots:
    QList<QVariantHash> taskList() const;
    QList<QVariantHash> taskList(int limit) const;
    
    bool openTask(const QVariant &id);
    bool closeTask(const QVariant &id) ;
    
private:
    QList<QVariantHash> data(int limit) const;
    QVariantHash data()const;
private:
    QList<QVariantHash> mData;

};
#endif // TSTESTMODEL_H
